import * as React from 'react';
import { EditorProps } from './Editor.types';
import './Editor.css';
declare type HTMLBlock = {
    id: string;
    type: 'paragraph' | 'html';
    html: string;
    readonly: boolean;
    showHTML: boolean;
};
interface State {
    HTMLBlocks: Array<HTMLBlock>;
}
declare class Editor extends React.Component<EditorProps, State> {
    private static readonly PARAGRAPH_TAGS;
    constructor(props: EditorProps);
    render(): JSX.Element;
    private renderToolbar;
    private renderHTMLBlocks;
    private renderHTMLBlock;
    private renderBlockParagraph;
    private renderBlockHTML;
    private renderBlockAdd;
    private onAddingBlockParagraph;
    private onAddingBlockHTML;
    private onBlockHTMLChange;
    private onBlockHTMLRemove;
    private onBlockHTMLToggleReadonly;
    private onBlockHTMLToggleHTMLVisualization;
    private focusAndSelectBlock;
    private getHTMLBlocksFromHTML;
    private getHTMLBlockFromElement;
    private getHTMLFromHTMLBlocks;
    private getHTMLFromHTMLBlock;
    private getEditorClassName;
}
export default Editor;
